Copy PageCreate a new availabilitypost https://api.oncallhealth.ca/appointmentavailabilities/Create a new appointment availability for a providerRecent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Body ParamsavailablebooleanrequiredWhether the Appointment Availability should appear in the calendardurationint32requiredHow long (in minutes) the availability should last.starts_atdaterequiredThe datetime at which the availability should begin.starts_at_timezonestringrequiredThe timezone in which you would like to set availability.providerstringrequiredThe URL of the provider. This will be in the form of https://api.oncallhealth.ca/providers/{provider_id}/ and can be obtained using the Providers API.rrulestringrequiredA recurrence rule determining the frequency (which must be WEEKLY), number of recurrences (which must be an integer), and days of the week (which must be SU, MO, TU, WE, TH, FR, or SA) the availability record in question applies to.Response 200200Updated almost 5 years ago